From ecdd35179bc707a77f488b5fe75791229b72ef8f Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas.vondra@postgresql.org>
Date: Sat, 5 Nov 2022 13:45:57 +0100
Subject: [PATCH 15/15] review comments

---
 doc/src/sgml/advanced.sgml  | 3 +++
 doc/src/sgml/ref/grant.sgml | 1 +
 2 files changed, 4 insertions(+)

diff --git a/doc/src/sgml/advanced.sgml b/doc/src/sgml/advanced.sgml
index c65b2bb3365..d52c1358bb0 100644
--- a/doc/src/sgml/advanced.sgml
+++ b/doc/src/sgml/advanced.sgml
@@ -749,6 +749,7 @@ SELECT current_user_id;
     session using the <command>LET</command> command. The content of a variable
     is not transactional.  This is the same as regular variables in PL
     languages.
+    review comment: maybe compare this to temporary tables (persistence) with persistent definition
    </para>
 
    <para>
@@ -758,6 +759,8 @@ SELECT current_user_id;
     column identifier is preferred every time. Warnings can be emitted when
     this situation happens by enabling configuration parameter <xref
     linkend="guc-session-variables-ambiguity-warning"/>.
+	review comment: this seems similar to a join, with multiple relations having the same column (which
+    forces the user to qualify the column as table.column)
    </para>
   </sect1>
 
diff --git a/doc/src/sgml/ref/grant.sgml b/doc/src/sgml/ref/grant.sgml
index e2191b7767e..b6c2445bf0d 100644
--- a/doc/src/sgml/ref/grant.sgml
+++ b/doc/src/sgml/ref/grant.sgml
@@ -109,6 +109,7 @@ GRANT <replaceable class="parameter">role_name</replaceable> [, ...] TO <replace
   | CURRENT_USER
   | SESSION_USER
 
+review comment: This should be before the "role_specification" definition, and the "TO" line seems to be duplicated
 GRANT { SELECT | UPDATE | ALL [ PRIVILEGES ] }
     ON VARIABLE <replaceable>variable_name</replaceable> [, ...]
        | ALL VARIABLES IN SCHEMA <replaceable class="parameter">schema_name</replaceable> [, ...] }
-- 
2.38.1

